GLM: GLM_GTC_type_ptr

GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTC_type_ptr
GTC Extensions (Stable)

## Functions
template<typename T >
GLM_FUNC_DECL detail::tmat2x2 < T, defaultp > | make_mat2 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL detail::tmat2x2 < T, defaultp > | make_mat2x2 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL detail::tmat2x3 < T, defaultp > | make_mat2x3 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL detail::tmat2x4 < T, defaultp > | make_mat2x4 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL detail::tmat3x3 < T, defaultp > | make_mat3 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL detail::tmat3x2 < T, defaultp > | make_mat3x2 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL detail::tmat3x3 < T, defaultp > | make_mat3x3 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL detail::tmat3x4 < T, defaultp > | make_mat3x4 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL detail::tmat4x4 < T, defaultp > | make_mat4 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL detail::tmat4x2 < T, defaultp > | make_mat4x2 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL detail::tmat4x3 < T, defaultp > | make_mat4x3 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL detail::tmat4x4 < T, defaultp > | make_mat4x4 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL detail::tquat< T, defaultp > | make_quat (T const *const ptr)
template<typename T >
GLM_FUNC_DECL detail::tvec2< T, defaultp > | make_vec2 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL detail::tvec3< T, defaultp > | make_vec3 (T const *const ptr)
template<typename T >
GLM_FUNC_DECL detail::tvec4< T, defaultp > | make_vec4 (T const *const ptr)
template<typename genType >
GLM_FUNC_DECL genType::value_type const * | value_ptr (genType const &vec)

## Detailed Description

Handles the interaction between pointers and vector, matrix types.

This extension defines an overloaded function, glm::value_ptr, which takes any of the core template types. It returns a pointer to the memory layout of the object. Matrix types store their values in column-major order.

This is useful for uploading data to matrices or copying data to buffer objects.

Example:

* #include <glm/glm.hpp>
* #include <glm/gtc/type_ptr.hpp>
*
* glm::vec3 aVector(3);
* glm::mat4 someMatrix(1.0);
*
* glUniform3fv(uniformLoc, 1, glm::value_ptr(aVector));
* glUniformMatrix4fv(uniformMatrixLoc, 1, GL_FALSE, glm::value_ptr(someMatrix));
*

<glm/gtc/type_ptr.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL detail::tmat2x2<T, defaultp> glm::make_mat2 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See Also
  GLM_GTC_type_ptr

GLM_FUNC_DECL detail::tmat2x2<T, defaultp> glm::make_mat2x2 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See Also
  GLM_GTC_type_ptr

GLM_FUNC_DECL detail::tmat2x3<T, defaultp> glm::make_mat2x3 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See Also
  GLM_GTC_type_ptr

GLM_FUNC_DECL detail::tmat2x4<T, defaultp> glm::make_mat2x4 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See Also
  GLM_GTC_type_ptr

GLM_FUNC_DECL detail::tmat3x3<T, defaultp> glm::make_mat3 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See Also
  GLM_GTC_type_ptr

GLM_FUNC_DECL detail::tmat3x2<T, defaultp> glm::make_mat3x2 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See Also
  GLM_GTC_type_ptr

GLM_FUNC_DECL detail::tmat3x3<T, defaultp> glm::make_mat3x3 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See Also
  GLM_GTC_type_ptr

GLM_FUNC_DECL detail::tmat3x4<T, defaultp> glm::make_mat3x4 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See Also
  GLM_GTC_type_ptr

GLM_FUNC_DECL detail::tmat4x4<T, defaultp> glm::make_mat4 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See Also
  GLM_GTC_type_ptr

GLM_FUNC_DECL detail::tmat4x2<T, defaultp> glm::make_mat4x2 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See Also
  GLM_GTC_type_ptr

GLM_FUNC_DECL detail::tmat4x3<T, defaultp> glm::make_mat4x3 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See Also
  GLM_GTC_type_ptr

GLM_FUNC_DECL detail::tmat4x4<T, defaultp> glm::make_mat4x4 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See Also
  GLM_GTC_type_ptr

GLM_FUNC_DECL detail::tquat<T, defaultp> glm::make_quat | ( | T const *const | ptr | ) |

Build a quaternion from a pointer.

See Also
  GLM_GTC_type_ptr

GLM_FUNC_DECL detail::tvec2<T, defaultp> glm::make_vec2 | ( | T const *const | ptr | ) |

Build a vector from a pointer.

See Also
  GLM_GTC_type_ptr

GLM_FUNC_DECL detail::tvec3<T, defaultp> glm::make_vec3 | ( | T const *const | ptr | ) |

Build a vector from a pointer.

See Also
  GLM_GTC_type_ptr

GLM_FUNC_DECL detail::tvec4<T, defaultp> glm::make_vec4 | ( | T const *const | ptr | ) |

Build a vector from a pointer.

See Also
  GLM_GTC_type_ptr

GLM_FUNC_DECL genType::value_type const* glm::value_ptr | ( | genType const & | vec | ) |

Return the constant address to the data of the input parameter.

See Also
  GLM_GTC_type_ptr